-- +goose Up
-- +goose StatementBegin
CREATE TABLE users(
    id SERIAL8 PRIMARY KEY,
    created_at timestamp NOT NULL DEFAULT now(),
    updated_at timestamp NOT NULL DEFAULT now(),
    deleted_at timestamp,
    status int2 NOT NULL DEFAULT 0,
    open_id varchar(128) NOT NULL UNIQUE,
    username varchar(128) NOT NULL,
    avatar text
);

SELECT
    setval('users_id_seq', 1000);

-- +goose StatementEnd
-- +goose Down
-- +goose StatementBegin
DROP TABLE users;

-- +goose StatementEnd
